/*
 * @(#)MedusaLabelUI.java	1.5 98/08/26
 */

package medusalf;

import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;
import javax.swing.plaf.basic.*;

import java.awt.*;

public class MedusaLabelUI extends MetalLabelUI
	implements java.io.Serializable
{
    protected static MedusaLabelUI medusaLabelUI = new MedusaLabelUI();

	public MedusaLabelUI() {}


    public static ComponentUI createUI(JComponent c) {
    	return medusaLabelUI;
    }

	public void paint(Graphics g2, JComponent c) 
	{
		Graphics2D g = (Graphics2D) g2;
		g.setRenderingHint(RenderingHints.KEY_ANTIALIASING, 
		                   RenderingHints.VALUE_ANTIALIAS_ON);
    super.paint(g, c);
  }


    /**
     * Just paint the text gray (Label.disabledForeground) rather than
     * in the labels foreground color.
     *
     * @see #paint
     * @see #paintEnabledText
     */
    protected void paintDisabledText(JLabel l, Graphics g, String s, int textX, int textY)
    {
	int accChar = l.getDisplayedMnemonic();
	g.setColor(UIManager.getColor("Label.disabledForeground"));
	BasicGraphicsUtils.drawString(g, s, accChar, textX, textY);
    }
}

